Subject: [tsvwg] TSVWG Draft Status Notes - 8th April 2013

From: [email-masked]
Date: Mon, 8 Apr 2013 08:10:08 +0100

The list below shows the status of the working group documents as we see
it. Please check below and comment on drafts using the list. Please do
send any corrections/omissions to the chairs.

Best wishes,

Gorry, David & James
(TSVWG Chairs)
Mar 2013

---
Recently published:

draft-ietf-tsvwg-sctpsocket was published as RFC 6458.
draft-ietf-tsvwg-sctp-strrst was published as RFC 6535.
draft-ietf-tsvwg-source-quench was published as RFC 6633.

-------------------------------------------------------------------
IDs in RFC Editor Queue:
http://www.rfc-editor.org/queue.html
None.

-------------------------------------------------------------------
IDs in IESG processing:

draft-ietf-tsvwg-sctp-udp-encap - Document Shepherd: Gorry
(Replaced: draft-tuexen-sctp-udp-encap)
Lars sent a note as AD agreeing to progress this work.
Work was coordinated with DCCP work on encaps.
draft-tuexen-sctp-udp-encaps-06, January 10, 2011
Adopted as a work item 21 Sept 2011 (Gorry)
WG -02 8 Dec 2011
WGLC completed Friday 20th April 2012, many discussion and notes that
there were implementations (including: FreeBSD and released in 9.1 & MacOS
X)
ID was ready for AD submission, 20th Oct 2012
Checked IANA port usage. IANA issue resolved, UDP port will be owned by IETF.
IESG comments incorporated.
STATUS: Shortened WGLC to end 5th April 2013.
{Supported in WGLC: GF; TD; MW; BM; IR} - Recommended publication.
DUE: Waiting for AD-reveiw to publish.
---

draft-ietf-tsvwg-byte-pkt-congest - Document Shepherd: Gorry
New editor added Jul 2010.
New revision 25 Oct 2010.
WG -01, June 10, 2011
IETF-81: discussed whether this should be BCP.
ADs & Chairs agree to progress as a BCP
Status changed to BCP (new-ID WG -05)
Presented at IETF-82 (Taipei), request for WGLC.
Gorry added as Shepherd (Jan 2012), Wes added as responsible AD (Jun 2012).
WGLC concluded with comments on I-D, Friday 30th March 2012.
Draft version of write-up sent to list, comments received.
- Gorry working with authors to clear list of WGLC questions (5 sept 2012).
WG Chair received version that includes additional feedback during WGLC
STATUS: IETF LC feedback; IESG Review - with AD.
-------------------------------------------------------------------
WG Drafts with Chairs:
draft-ietf-tsvwg-sctp-sack-immediately - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-sctp-sack-immediately
-05, 2011-01-02
- Aug 2011, discussed on list and issues raised.
- Implemented in BSD & Linux- 2 reviews received.
- WG adoption call after IETF-85, started 13/12/2013. Support {AB, IR, SL,
MB, TD}
- Implemented/released in FreeBSD, partially implemented in Linux
- Adopted as a work item. [Milestone: May 2013, PS]
- No major remaining comments at IETF-86, March 2013.
DUE: WGLC ending Friday 5th April 2013
{Supported in WGLC: TD; MW; DB; GF; YN; AB} - summary sent 8th April 2013
{Comments include: DB; YN; AB; MW}
DUE: Feedback during WGLC: Revised I-D needed

-------------------------------------------------------------------
WG Drafts:

draft-ietf-tsvwg-rsvp-pcn - Document Shepherd: James
Replaces: draft-karagiannis-pcn-tsvwg-rsvp-pcn
WG interest in this topic recorded at IETF-81.
Individual -01, 2011-07-11
AD decision allowed this to be added to the milestones
Document adopted, status will be EXP (IETF-84 due to dependencies on PCN
RFCs)
WG -00 8 Oct 2011
RSVP-DIR review received (BB).
MILESTONE EXPIRED.
DUE: Please comment on RVSP & PCN aspects; Revised I-D needed
---

draft-ietf-tsvwg-natsupp-tsvwg - Document Shepherd: James
Replaces: draft-stewart-natsupp-tsvwg
Dependency from BEHAVE WG.
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010
Uploaded as: draft-ietf-natsupp-tsvwg
WG -01, June 1, 2011
Authors restructured draft (-03)
Added support for single and multi-homed support.br>IETF-86: 3 people in
meeting had read -04 or -05.
DUE: Authors please update following comments to TSVWG.
DUE: Please comment on list - MILESTONE EXPIRED.
---
draft-ietf-tsvwg-sctp-failover - Document Shepherd: James
Replaces: draft-nishida-tsvwg-sctp-failover
Individual-00 Presented in Prague, IETF-80.
- Understood not to conflict with draft-tuexen-tsvwg-sctp-multipath
- PF has been coded into FreeBSD
WG adoption was approved - request to comment to list on 26/6/2012.
Adopted by WG. [Milestone: Jul 2013, EXP]
DUE: Please comment on list.
---
draft-ietf-tsvwg-sctp-dtls-encaps - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-sctp-dtls-encaps-01
Implemented in Firefox, Chrome interested.
RTCweb requires this.
WG adoption call after IETF-85. Adoption started 13/12/2013. Support {AB,
IR, SL, MB, TD}
Implemented in Firefox (FF21)
Adopted as a work item. [Milestone: Jan 2014, PS]
DUE: Please comment on list.
---
draft-ietf-tsvwg-intserv-multiple-tspec - Document Shepherd: David
WG interest in this topic recorded at IETF-78.
Charter update would be needed to progress this work.
5 Reviews needed to determine energy/technical direction.
WG -05 (presented in Beijing, IETF-79)
WG -06 (presented in Prague, IETF-80)
RSVP directorate was consulted.
2 reviews from RSVP-DIR received (Bruce Davie, ?)
2 additional reviews promised (Ken Carlberg, Francois LeF)
Chairs asked AD for a Charter update (IESG agreed)
Draft discussed at IETF-80, and request to update charter agreed
- AD advised 4 named reviewers will be required
Adopted for progression as PS, for May 2012
- New approach presented following WG comments, revised MILESTONE needed.
DUE: Discussion needed on list.
---

draft-ietf-tsvwg-port-use-00 - Document Shepherd: Gorry
Replaces: draft-touch-tsvwg-port-use-00
- Intended to be advice to protocol designers needing a port.
5 people have looked at this document, Prague IETF-80
Individual -01 July 2011
IETF-81 insufficient feedback from WG at this time.
IETF-82, discussed.
Adopted by WG
Presented IETF-86, March 2013
Milestone updated to June 2014
DUE: Please read an individual sections and provide feedback!
DUE: Please comment to list.
---

draft-ietf-tsvwg-rsvp-app-id-vv-profiles
Replaces: draft-polk-tsvwg-rsvp-app-id-vv-profiles
-01 Presented in Beijing, IETF-79.
-02, 14-Mar-2011
Presented IET-80.
WG needs to assess if the new draft should be a work item.
Seek to coordinate with music with partner ID:
draft-polk-mmusic-traffic-class-for-sdp
Gorry liaised with MMUSIC WG Chairs on companion draft (norm ref from this
tsvwg draft), intended for LC early 2013.
Adopted as a TSVWG work item, December 2013, [Milestone Jul 2013].
This will update a RFC 2872 (PS).
Presented at IETF-86, Mar 2013 (no comments)
Thought ready for joint call with related draft in MMUSIC.
DUE: Reviewers are needed to prepare for a WGLC.
DUE: Waiting for WG feedback.

-------------------------------------------------------------------
The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

draft-polk-tsvwg-rfc4594-update - Document Contact: David
Discussed at IETF-83, Paris
Noted at IETF-84, but not discussed (no time).
ID-discussed at IETF-85.
DUE: Please comment on list.
---

draft-polk-tsvwg-new-dscp-assignments - Document Contact: David
- noted at IETF-84, but not discussed (no time).
Linked to above
DUE: Please comment on list.
---

draft-stewart-tsvwg-sctpecn-02
Partially replaces (draft-stewart-tsvwg-sctp-nonce)
IETF-78 suggested there was interest in this topic.
Discussed at IETF-83, Paris.
ECN was confirmed to be within the TSVWG Charter
DUE: A call for adoption will be made on the list, please comment on this
draft.

---

draft-tuexen-tsvwg-sctp-multipath (CMT)
-00 Presented in Prague, IETF-80.
- understood not to conflict with draft-nishida-tsvwg-sctp-failover
- Implemented in FreeBSD (ns2, inet)
- subsumes NR-SACK
-01, 2010-12-27
DUE: Please comment to list.
DUE: Need to decide if this can be adopted as a WG Item
---------------------------------------------------------------

Related non-TSVWG items:

draft-ietf-behave-sctpnat-03.txt
BEHAVE WG item linked to SCTP encapsulation work.
---
draft-ohanlon-rmcat-dflow
Discussed at IETF-84, Vancouver
This draft is related to the new rmcat work.
Comments received on list prior to IETF-85.
DUE: Revised ID needed
------------------------------------------------------------------
Other news:
ITU-T Study Group 12 Liaison on QoS Classes & markings for interconnection

------------------------------------------------------------------
Other drafts history:

waiting on:
draft-ietf-tsvwg-natsupp-04
---

draft-briscoe-tsvwg-ecn-encap-guidelines - Document Contact: Gorry
-00 Presented in Prague, IETF-80.
- comments at IETF-80 (see minutes)
Authors need to update this draft.
New ID presented in Atlanta, IETF-85.
DUE: Please comment on list.
---
draft-geib-tsvwg-diffserv-intercon-02.txt - Document Contact: David
DiffServ interconnection classes
New ID presented in Atlanta, IETF-85.
ID presented in Orlando, IETF-86, Mar 2013.
DUE: Please comment on list.
---
draft-carlberg-tsvwg-ecn-reactions
Reactions to Signaling from ECN Support for RTP/RTCP
-00 presented IETF-82
Not yet requested to become a work item.
- This draft is related to the new rmcat work.
DUE: Please comment on list.
---
draft-ietf-idr-sla-exchange-00
Inter-domain SLA Exchange
- QoS aspects thought to fall within TSVWG charter

---
draft-yong-tsvwg-udp-encap-4-ip-tunneling
ID presented in Orlando, IETF-86, Mar 2013.
- Thought to fall within TSVWG charter
- Need to coordinate with UDP-Guidelines and Checksum Guidelines
---

Other drafts linked to this space:

draft-ietf-mpls-in-udp
draft-kumar-softwire-uet-00
draft-xu-softwire-ip-in-udp-01
draft-shepherd-multicast-udp-guidelines-00 Multicast UDP Usage Guidelines
for Application Designers
Announced at Orlando, IETF-86, Mar 2013 (no presentation)
- Thought to fall within TSVWG charter
- Need to confirm need by RTCweb

---
draft-tuexen-tsvwg-sctp-prpolicies
- Thought to fall within TSVWG charter
- Need to confirm need by RTCweb

---
draft-fairhurst-tsvwg-buffers-00 Advice on network buffering
ID presented to ICCRG in Orlando, IETF-86, Mar 2013.
---
May be related to ECN work in TSVWG:

draft-zhang-tsvwg-tunnel-congestion-exposure

---

From: t.petch <[email-masked]>
Date: Tue, 9 Apr 2013 10:16:44 +0100

<inline>

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Sent: Monday, April 08, 2013 8:10 AM

<tp>
But only if you are an optimist and think that they will act thereon :-(
</tp>

Gorry, David & James
(TSVWG Chairs)
Mar 2013
---
Recently published:
<snip>

<tp>
from the RFC Index as published by the RFC Editor (who is not, of
course, a reliable source for these matters:-(

"
6535 Dual-Stack Hosts Using "Bump-in-the-Host" (BIH). B. Huang, H.
     Deng, T. Savolainen. February 2012. (Format: TXT=54452 bytes)
     (Obsoletes RFC2767, RFC3338) (Status: PROPOSED STANDARD)
"
Tom Petch
(not for the first and perhaps not for the last time)

<snip>

---

From: "Shitanshu Shah (svshah)" <[email-masked]>
Date: Thu, 11 Apr 2013 16:17:21 +0000

>- QoS aspects thought to fall within TSVWG charter

AI for me from the last WG meeting is to share SLA specific information
model, specifically taking RFC2210 as a reference, which I expect to share
some-time soon.

Regards,
Shitanshu